<?php
    $postList = $this->posts;
    $brandUrl = $this->BrandUrl;
    $brandName = $this->BrandName;
    $total_photos = ($this->total_photos > 0) ? $this->total_photos : '';
    $total_albums = ($this->total_albums > 0) ? $this->total_albums : '';
    $total_videos = ($this->total_videos > 0) ? $this->total_videos : '';
?>

<div class="col-md-12 col-sm-12">
    <div class="albumsMenu">
        <ul>
            <li>
                <a data-target-segment="gallery" href="<?= $this->url('brand', ['url' => $brand->url, 'segmentOrId' => 'gallery']) ?>">
                    <span>All Photos</span> <span class="badge"><?php echo $total_photos; ?></span>
                </a>
            </li>
            <li>
                <a data-target-segment="album" href="<?= $this->url('brand', ['url' => $brand->url, 'segmentOrId' => 'album']) ?>">
                    <span>Albums</span> <span class="badge"><?php echo $total_albums; ?></span>
                </a>
            </li>
            <li class="active">
                <a data-target-segment="video" href="<?= $this->url('brand', ['url' => $brand->url, 'segmentOrId' => 'video']) ?>">
                    <span>Videos</span> <span class="badge"><?php echo $total_videos; ?></span>
                </a>
            </li>
        </ul>
        <div class="clear"></div>
    </div>
</div>

<div class="col-md-12 col-sm-12">
    <div class="videos-page">
        
        <?php if($this->isBrandAdmin){ ?>
            <div id="addVideo" class="editor-content" style="display:none;">
                <div id="newAlbum" class="newAlbum video-input">
                    <div class="alb-name">
                        <span>VIDEO</span>
                        <a href="javascript:void(0);" id="hidealbumagain" onclick="hideAddForm()"><i class="fa fa-remove lightBlue" aria-hidden="true"></i></a>
                    </div>
                    <div class="video_url_container">
                        <textarea placeholder="Paste your video link" id="video" class="story-input-text"></textarea>
                    </div>
                    
                    <div class="video_frame_container" style="display:none;">
                        <div class="video_frame_contain">
                            <div class="video_frame_display">
                                
                            </div>
                            <div class="video-form">
                                <div class="video_form_controls">
                                    <textarea placeholder="Write something about the video" class="video-input-text story-input-text"></textarea>
                                    <input type="hidden" id="video-url" class="video-url-text" value="" />
                                </div>
                            </div>
                        </div>
                     </div>
                    
                    <div class="postPhoto" id="video-btn" style="display:none;">
                        <button class="postblueBtn" onclick="postStory('video-input', 'video')">Post</button>
                        <div class="clear"></div>
                    </div>
                    <!-- end of the photo part, lets move to video -->
                </div>
                <div class="clear"></div>
            </div>
            
            
            <div id="editVideo" class="editor-content" style="display:none;">
            </div>
            
        <?php } ?>
        
        <?php if($this->isBrandAdmin){ ?>
            <div id="videoAddContent" class="postVideo">
                <a href="javascript:void(0);" onclick="showAddForm()"></a>
            </div>
        <?php } ?>
        
        <?php if(!empty($postList)){ $i = 1; ?>
            <?php foreach($postList as $post){ ?>
                <?php if(!empty($post->videoDataTag)){ ?>
                    <div class="playVideo" id="video-post-<?php echo $post->id; ?>">
                        <?php if($this->isBrandAdmin){ ?>
                            <li class="olovka dropdown">
                                <a aria-expanded="true" aria-haspopup="true" role="button" href="#" data-toggle="dropdown" class="dropdown-toggle">
                                    <i aria-hidden="true" class="fa fa-pencil"></i>
                                </a>
                                <ul class="dropdown-menu aboutPopup">
                                    <div class="aboutPop">
                                        <ul>
                                            <li>
                                                <a id="edit_video_<?php echo $post->id; ?>" data-postid="<?php echo $post->id; ?>" onclick="editVideo(this); return false;" href="javascript:void(0);">
                                                    <img src="/images/pen.png"><span>Edit</span>
                                                </a>
                                            </li>

                                            <li>
                                                <a data-postid="<?php echo $post->id; ?>" onclick="deleteVideo($(this)); return false;" href="<?php echo $this->url('delete-post', array('postId' => $post->id)); ?>">
                                                    <img src="/images/trash.png"><span>Delete</span>
                                                </a>
                                            </li>
                                        </ul>
                                    </div>
                                </ul>
                            </li>
                        <?php } ?>
                        <?php echo $post->videoDataTag; ?>
                    </div>
                <?php $i++; } ?>
            <?php } ?>
            
            <?php 
                    for($j = $i; $j <= 4; $j++)
                    {
                        ?>
                            <div class="playVideo"></div>
                        <?php
                    }
                ?>
            
        <?php } ?>
    
    </div>
</div>

<script type="text/javascript">
function showAddForm()
{
    $('#addVideo').slideDown('slow', function(){
        $('#videoAddContent').hide();
    });

    $('html,body').animate({
        scrollTop: $('#addVideo').offset().top},
    'slow');
}

function hideAddForm()
{
    $('#addVideo').slideUp('slow', function(){
        $('#videoAddContent').show();
    });
}

function trim(str) {
    return str.replace(/^\s+|\s+$/g, "");
}
function convertURLToVideoPlayer(ele, type)
{
    var videoURL = " " + $('#'+ele).val();
    var urlRegex = /(https?\:\/\/|\s)[a-z0-9-]+(\.[a-z0-9-]+)*(\.[a-z]{2,4})(\/+[a-z0-9_.\:\;-]*)*(\?[\&\%\|\+a-z0-9_=,\.\:\;-]*)?([\&\%\|\+&a-z0-9_=,\:\;\.-]*)([\!\#\/\&\%\|\+a-z0-9_=,\:\;\.-]*)}*/i;
    if (trim(videoURL) !== "") {
        if (urlRegex.test(videoURL)) {
            var framedHTML = videoEmbed.convertVideo(videoURL);
            if(framedHTML != false)
            {
                $('#'+type+'Video .video_frame_container .video_frame_display').html(framedHTML);
                if(type == 'add')
                {
                    $('#'+type+'Video .video_frame_container #video-url').val(videoURL);
                }else{
                    $('#'+type+'Video .video_frame_container .video-url-text').val(videoURL);
                }
                $('#'+type+'Video .video_url_container').hide('fast', function(){
                    $('#'+type+'Video .video_frame_container').slideDown('slow');
                    $('#'+type+'Video .postPhoto').show();
                });
            }
            else
            {
                labAlert("Paste video link only.");
            }
        }
        else
        {
            $('#'+ele).val("");
        }
    }
}

document.getElementById('video').addEventListener('paste', function() {
  setTimeout(function () {
        convertURLToVideoPlayer('video', 'add');
    }, 100);
});

document.getElementById('video').addEventListener('keyup', function(e) {
  if ((e.which === 13 || e.which === 32 || e.which === 17)) {
        convertURLToVideoPlayer('video', 'add');
    }
});



window.onload = function() {
    /*$('#video').bind({
        paste: function () {
            setTimeout(function () {
                convertURLToVideoPlayer();
            }, 100);
        },
        keyup: function (e) {
            if ((e.which === 13 || e.which === 32 || e.which === 17)) {
                convertURLToVideoPlayer();
            }
        }
    });*/
}

function editVideo(el)
{
    var $el = $(el);
    var postID = $el.data('postid');
    window.loadingIndicator($('body'));
    ajaxSubmit('<?php echo $this->url('get-post', ['postId' => 'POSTID']); ?>'.replace(/POSTID/, postID), {}, function (data) {
            $('#editVideo').html(data);
            
            $('#videoAddContent').hide();
            
            $('#editVideo').slideDown(g_animationSpeed);
            $('.loading-indicator-background').remove();
            $('html,body').animate({
                scrollTop: $('#editVideo').offset().top},
            g_animationSpeed);
            
            document.getElementById('edit_video-box').addEventListener('paste', function() {
              setTimeout(function () {
                    convertURLToVideoPlayer('edit_video-box', 'edit');
                }, 100);
            });

            document.getElementById('edit_video-box').addEventListener('keyup', function(e) {
              if ((e.which === 13 || e.which === 32 || e.which === 17)) {
                    convertURLToVideoPlayer('edit_video-box', 'edit');
                }
            });
            
    });
}

function hideEditForm()
{
    $('#editVideo').hide();
    $('#editVideo').html('');
    $('#videoAddContent').slideDown(g_animationSpeed);
    
    feed.navigateToSegment('video');
}

function deleteVideo($el, callback)
{
    labConfirm("Do you really want to delete this video?\nThis cannot be undone!", "Are you sure?", function(response) {
        if(response) {
            $el.blur();
            window.loadingIndicator($('body'));
            
            ajaxSubmit($el.attr('href'), {}, function (data) {
            if (!data.status || data.status != "ok") {
                console.log("openAjaxLink error: ", data);
                alert(data.status ? data.status : "An error has occurred, please try again.");
            } else {
                $('#video-post-'+$el.data('postid')).slideUp(g_animationSpeed, function(){ $(this).remove();  });
                feed.navigateToSegment('video');
                $('.loading-indicator-background').remove();
            }
        });
        return false;
        }
    }, "Delete", "Cancel");
}

function remove_video()
{
    $('#edit-video-post .video_frame_container').hide();
    $('#edit-video-post .postPhoto').hide();
    $('#edit-video-post .video_url_container').show();
}

function editFromHome()
{
    var action = "<?php echo $this->action; ?>";
    var videoId = '<?php echo $this->videoId; ?>';
    if(action == 'edit')
    {
        $('#edit_video_'+videoId).trigger('click');
    }
}

window.onFeedJS.push(function() {
    editFromHome();
});
</script>
